package com.ruoyi.syzy.service;

import java.util.List;
import com.ruoyi.syzy.domain.BWwwNewsRef;

/**
 * 通关指南Service接口
 * 
 * @author voluntary
 * @date 2023-10-19
 */
public interface IBWwwNewsRefService 
{
    /**
     * 查询通关指南
     * 
     * @param id 通关指南主键
     * @return 通关指南
     */
    public BWwwNewsRef selectBWwwNewsRefById(Long id);

    /**
     * 查询通关指南列表
     * 
     * @param bWwwNewsRef 通关指南
     * @return 通关指南集合
     */
    public List<BWwwNewsRef> selectBWwwNewsRefList(BWwwNewsRef bWwwNewsRef);

    /**
     * 新增通关指南
     * 
     * @param bWwwNewsRef 通关指南
     * @return 结果
     */
    public int insertBWwwNewsRef(BWwwNewsRef bWwwNewsRef);

    /**
     * 修改通关指南
     * 
     * @param bWwwNewsRef 通关指南
     * @return 结果
     */
    public int updateBWwwNewsRef(BWwwNewsRef bWwwNewsRef);

    /**
     * 批量删除通关指南
     * 
     * @param ids 需要删除的通关指南主键集合
     * @return 结果
     */
    public int deleteBWwwNewsRefByIds(Long[] ids);

    /**
     * 删除通关指南信息
     * 
     * @param id 通关指南主键
     * @return 结果
     */
    public int deleteBWwwNewsRefById(Long id);
}
